Skip to content

Immens MCP Fortress Pro - API & Advanced Usage

MCP endpoint

Pro features use the same endpoint as the free plugin:

POST https://yoursite.com/wp-json/immens-mcp-fortress/v1/mcp/imf_{API_KEY}
Content-Type: application/json

251 Integration Tools by category

Category Tools Examples
Immens CRM 105 list_contacts, create_contact, get_stats, send_campaign, list_automations
Immens Integration 27 get_dashboard, toggle_module, list_reviews, send_newsletter, get_uptime_status
Primary Source 18 get_llms_txt, get_chunks, list_profiles, regenerate_chunks, set_visibility
Greenshift 16 get_settings, update_stylebook, generate_stylebook, list_templates
ClassyBlocks 14 list_animations, apply_animation_to_block, import_pack, create_animation
SEO Framework 12 get_post_seo, analyze_post_seo, bulk_update_seo, update_settings
Immens Keyword Explorer 10 search_keywords, get_ai_trends, generate_plan, generate_outline, create_draft
TranslatePress 10 get_languages, translate_string, batch_translate, set_post_translation
Elementor 10 get_page_data, clone_page, export_template, replace_text
Gutenberg Blocks 9 parse_post_blocks, add_block_to_post, remove_block_in_post, convert_html_to_blocks
ACF 8 get_field_groups, get_fields, update_field, get_options
Stackable 8 get_settings, get_global_colors, list_blocks, toggle_block
Fast Product Importer 2 search_products, import_product
License System 2 validate_license, list_licenses

HTML-to-Blocks

When an AI creates a post via REST API with imf_convert_to_blocks=true, the HTML is automatically converted into Gutenberg blocks by detecting the builder (Core, Greenshift or Stackable).

Call example

{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "tools/call",
  "params": {
    "name": "immens_crm_list_contacts",
    "arguments": {"per_page": 10}
  }
}

Back to overview | Installation | Configuration